# Get plate-readings

`GET https://api.parklio.com/v2/plate-readings/{id}`

This endpoint allows the user to get plate-readings by id

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "plate": "ST1950TH",
    "confidence": 0.9876,
    "image_url": "someurltoimage.jpg",
    "cropped_image_url": "someurltoimage.jpg",
    "direction": "in",
    "type": "car",
    "make": "Volkswagen",
    "color": "Blue",
    "model": "Golf",
    "country_code": "HR",
    "session_id": 123,
    "access_decision": "triggered",
    "access_decision_reason": "whitelist",
    "plate_side": "front",
    "lpr_camera_direction": "in",
    "lpr_camera_id": 5,
    "zone_id": 10,
    "created_at": "2026-01-15T09:30:00.000Z",
    "updated_at": "2026-01-15T09:30:00.000Z"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

